#define TEast 0
#define TWest 1
#define TGuerrila 2
#define TCivilian 3
#define TSideUnknown 4
#define TEnemy 5
#define TFriendly 6
#define TLogic 7

#define true 1
#define false 0

// type scope
#define private 0
#define protected 1
#define public 2

#define CanSeeRadar 1
#define CanSeeEye 2
#define CanSeeOptics 4
#define CanSeeEar 8
#define CanSeeCompass 16 
#define CanSeeRadarC CanSeeRadar+CanSeeCompass
#define CanSeeAll 31


class CfgPatches
{
	class ACHAssaultShip
	{
		units[] = {ACHAssaultShip};
		weapons[] = {};
		requiredVersion = 1.20;
	};
};
class CfgAmmo
{
	class Default {};
	class BulletSingle : Default {};
	class ExplosiveBullet: BulletSingle {};
	class ACHCannon: ExplosiveBullet
	{
		hit=600;
		indirectHit=250;
		indirectHitRange=3;
   		cost=1000;
   		soundHit[]={"Explosions\explosion_large1",100.000008,1};
   		soundFly[]={"objects\bulletnoise",0.031623,4};
   		minRange=20;
   		minRangeProbab=0.900000;
   		midRange=150;
   		midRangeProbab=0.950000;
   		maxRange=1500;
   		maxRangeProbab=0.400000;
   		visibleFire=16;
   		audibleFire=16;
   		visibleFireTime=20;
	};
};

class CfgWeapons
{
	class Default	{};
	class MGun: Default {};
	class MachineGun7_6: MGun {};
	class MachineGun30: MachineGun7_6 {};
	class ACHCannon: MachineGun30
{
   ammo="ACHCannon";
   count=50;
   initSpeed=1200;
   reloadTime=2.000000;
   aiRateOfFire=4.000000;
   sound[]={"Weapons\gun125",10.000000,1};
   reloadSound[]={"Weapons\missload",0.000316,1};
	};
};

class CfgVehicles
{
	class All{};
	class AllVehicles:All{};
	class Ship: AllVehicles{}; 
	class SmallShip: Ship{}; 
	class BoatW: SmallShip{};
   	class ACHAssaultShip: BoatW
{
   vehicleClass="Armored";
   displayName="ACH Assault Ship";
   accuracy=1.000000;
   scope=2;
   crew="SoldierWCrew";
   picture="ipbr";
   side=1;
   cost=100000;
   hasGunner=1;
   hasCommander=0;
   driverIsCommander=1;
   fuelCapacity=100;
   driverAction="ManActPBRDriver";
   gunnerAction="ManActPBRGunner";
   cargoAction[]={"ManActCargo"};
   gunnerOpticsModel="optika_empty";
   maxSpeed=70;
   transportSoldier=6;
   icon="ship";
   model="\ACH_Assaultship\ACH_Assaultship";
   weapons[]={"ACHCannon"};
   magazines[]={"ACHCannon"};
   armor=1500;
   nameSound="ship";
   simulation="ship";
   audible=6;
   formationX=50;
   formationZ=100;
   precision=25;
   brakeDistance=5;
   formationTime=20;
   steerAheadSimul=2.000000;
   steerAheadPlan=2.400000;
   predictTurnSimul=2.000000;
   predictTurnPlan=2.400000;
   type=1;
   threat[]={0.200000,0.200000,0.100000};
   getInRadius=5;
   getInAction="ManActGetOutCar";
   getOutAction="ManActGetOutCar";
   class TurretBase
   {
      gunAxis="osa hlavne";
      turretAxis="osa veze";
      gunBeg="usti hlavne";
      gunEnd="konec hlavne";
      soundServo[]={"Vehicles\gun_elevate",0.001000,1.000000};
      minElev=-5;
      maxElev=70;
      minTurn=-155;
      maxTurn=155;
      body="OtocVez";
      gun="OtocHlaven";
   };
   class TransportMagazines
   {
      class _xx_M16
      {
         magazine="M16";
         count="60*1";
      };
      class _xx_M60
      {
         magazine="M60";
         count="10*1";
      };
      class _xx_HandGrenade
      {
         magazine="HandGrenade";
         count="80*1";
      };
      class _xx_M21
      {
         magazine="M21";
         count="30*1";
      };
      class _xx_LAWLauncher
      {
         magazine="LAWLauncher";
         count="15*1";
      };
      class _xx_GrenadeLauncher
      {
         magazine="GrenadeLauncher";
         count="30*1";
      };
   };
};